@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500;600;700;800&display=swap");

body {
  font-family: "Montserrat", sans-serif !important;
  margin: 0;
  color: black;
  overflow-x: hidden;
  background-color: white !important;
}

html {
  scroll-behavior: smooth;
  overflow-x: hidden;
}

nav {
  width: 95%;
  margin: 0 auto;
  padding: 8px 0 !important;
}

h1 {
  font-family: "Montserrat", sans-serif;
  font-weight: 600 !important;
  font-size: 28px !important;
  margin: 0;
}

h2 {
  font-family: "Montserrat", sans-serif;
  font-weight: 600 !important;
  font-size: 22px !important;
  margin: 0;
}

p {
  font-family: "Montserrat", sans-serif;
  font-weight: 400 !important;
  font-size: 16px !important;
}

/* scss stuff */
/* header */
.navlogo {
  width: 200px;
  height: auto;
}

.learnButton {
  font-family: "Montserrat", sans-serif;
  font-weight: 600 !important;
  font-size: 15px !important;
  display: inline-block;
  -webkit-transition: 0.2s !important;
  transition: 0.2s !important;
  z-index: 1;
  border-radius: 5px !important;

  color: white !important;
  background-color: #4e88c3 !important;
  padding: 10px 35px !important;
  margin-left: 10px;
}

.learnButton:hover {
  color: white !important;
  cursor: pointer;
}

.nav-link {
  font-family: "Montserrat", sans-serif;
  color: black !important;
  font-weight: 600 !important;
  font-size: 15px !important;
  padding: 10px !important;
}

.nav-link:hover {
  font-family: "Montserrat", sans-serif;
  color: #4964ff !important;
}

.headerWidth {
  margin-top: 25px;
  padding: 0 !important;
}

@media (min-width: 768px) {
  .navlogo {
    width: 250px;
    height: auto;
  }
  nav {
    width: 95%;
    margin: 0 auto;
  }

  .learnButton {
    margin-left: 30px;
  }
}

/* Landing */

.landingImage {
  width: 100%;
  height: 350px;
}

.aboutText {
  width: 90%;
  margin: 50px auto;
}

/* Services */

#services {
  width: 90%;
  margin: 50px auto;
}

.serviceImage1 {
  background-image: url(../images/Roof2.png);
  background-repeat: no-repeat;
  background-size: cover;
  width: 100%;
  height: 100%;
  min-height: 300px;

  color: white;
  border-radius: 10px;

  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.serviceImage2 {
  background-image: url(../images/Stock3.png);
  background-repeat: no-repeat;
  background-size: cover;
  width: 100%;
  height: 100%;
  min-height: 300px;

  color: white;
  border-radius: 10px;

  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}
.serviceImage3 {
  background: url(../images/Stock4.png);
  background-repeat: no-repeat;
  background-size: cover;
  width: 100%;
  height: 100%;
  min-height: 300px;

  color: white;
  border-radius: 10px;

  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

/* Infrastructure */

#infrastructure {
  width: 90%;
  margin: 50px auto;
}

.infraImage {
  width: 100%;
  height: 400px;
  object-fit: cover;
}

.infraText {
  width: 100%;
  text-align: center;
  margin: 0 auto;
  max-width: 1000px;
}

.serviceContainer {
  width: 100%;
  text-align: center;
  background-color: #233852;
  color: white;
  border-radius: 10px;
  margin-top: 20px;

  min-height: 380px;
  min-width: 200px;
}

.serviceContainer h2 {
  font-family: "Montserrat", sans-serif;
  font-weight: 600 !important;
  font-size: 18px !important;
  margin: 0 0 5px 0;
}

.serviceContainer p {
  font-family: "Montserrat", sans-serif;
  font-weight: 400 !important;
  font-size: 15px !important;
  padding: 0 15px !important;
  margin: 0 auto;
}

.serviceText {
  padding: 20px 0;
}

.serviceImage {
  width: 100%;
  height: 150px !important;
  border-radius: 10px 10px 0 0;
  object-fit: cover;
}

/* Footer */
#footer {
  width: 80%;
  margin: 0 auto 0 auto;
  padding: 40px 0;
}

.copyright {
  color: #233852;
  font-size: 18px !important;
  margin-top: 20px;
  font-weight: 700;
  text-transform: uppercase;
}

.col-right {
  text-align: right;
}

li {
  list-style: none;
}

.footer-link {
  font-family: "Montserrat", sans-serif !important;
  font-size: 14px !important;
  font-weight: 500;
  color: #233852;
  text-decoration: none;
  transition: 0.2s;
  line-height: 26px;
}

.footLogo {
  width: 160px;
  height: auto;
}

@media (max-width: 768px) {
  #footer {
    width: 90%;
    margin: 0 auto 0 auto;
    padding: 30px 0;
  }
}

a:hover {
  color: black !important;
}
